Replace post-call sync settings for this CRM connection
curl --request PUT \
--url https://api.pineyard.ai/crm/connections/{id}/sync-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"taskRules": [
{
"enabled": true,
"subject": "<string>",
"dueInMinutes": 21600
}
],
"dealStageRules": [
{
"pipelineId": "<string>",
"stageId": "<string>",
"enabled": true
}
]
}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
settings: {
taskRules: [{enabled: true, subject: '<string>', dueInMinutes: 21600}],
dealStageRules: [{pipelineId: '<string>', stageId: '<string>', enabled: true}]
}
})
};
fetch('https://api.pineyard.ai/crm/connections/{id}/sync-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/connections/{id}/sync-settings"
payload = { "settings": {
"taskRules": [
{
"enabled": True,
"subject": "<string>",
"dueInMinutes": 21600
}
],
"dealStageRules": [
{
"pipelineId": "<string>",
"stageId": "<string>",
"enabled": True
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"settings": {
"taskRules": [
{
"status": "COMPLETED",
"enabled": true,
"subject": "<string>",
"priority": "LOW",
"dueInMinutes": 21600
}
],
"dealStageRules": [
{
"status": "COMPLETED",
"pipelineId": "<string>",
"stageId": "<string>",
"enabled": true
}
]
}
}CRM
Replace post-call sync settings for this CRM connection
PUT
/
crm
/
connections
/
{id}
/
sync-settings
Replace post-call sync settings for this CRM connection
curl --request PUT \
--url https://api.pineyard.ai/crm/connections/{id}/sync-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"taskRules": [
{
"enabled": true,
"subject": "<string>",
"dueInMinutes": 21600
}
],
"dealStageRules": [
{
"pipelineId": "<string>",
"stageId": "<string>",
"enabled": true
}
]
}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
settings: {
taskRules: [{enabled: true, subject: '<string>', dueInMinutes: 21600}],
dealStageRules: [{pipelineId: '<string>', stageId: '<string>', enabled: true}]
}
})
};
fetch('https://api.pineyard.ai/crm/connections/{id}/sync-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/connections/{id}/sync-settings"
payload = { "settings": {
"taskRules": [
{
"enabled": True,
"subject": "<string>",
"dueInMinutes": 21600
}
],
"dealStageRules": [
{
"pipelineId": "<string>",
"stageId": "<string>",
"enabled": True
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"settings": {
"taskRules": [
{
"status": "COMPLETED",
"enabled": true,
"subject": "<string>",
"priority": "LOW",
"dueInMinutes": 21600
}
],
"dealStageRules": [
{
"status": "COMPLETED",
"pipelineId": "<string>",
"stageId": "<string>",
"enabled": true
}
]
}
}
